# 开始

1. 全局替换 coder-script-workflow 为你想要的组件名称。
2. 需要发布的组件请在 lib 目录中编写，并且在 /lib/index 中注入

# 安装组件

在调用的项目中，进行安装

```
import * as monaco from 'monaco-editor'

import editorWorker from 'monaco-editor/esm/vs/editor/editor.worker?worker';
//import jsonWorker from 'monaco-editor/esm/vs/language/json/json.worker?worker';
//import cssWorker from 'monaco-editor/esm/vs/language/css/css.worker?worker';
//import htmlWorker from 'monaco-editor/esm/vs/language/html/html.worker?worker';
import tsWorker from 'monaco-editor/esm/vs/language/typescript/ts.worker?worker';
monaco.languages.typescript.typescriptDefaults.setEagerModelSync(true);

// @ts-ignore: worker 导入方式可以参考vite官网 https://cn.vitejs.dev/guide/features.html#web-workers
self.MonacoEnvironment = { // 提供一个定义worker路径的全局变量
  getWorker(_: any, label: string) {
    // if (label === 'json') {
    //   return new jsonWorker();
    // }
    // if (label === 'css' || label === 'scss' || label === 'less') {
    //   return new cssWorker();
    // }
    // if (label === 'html' || label === 'handlebars' || label === 'razor') {
    //   return new htmlWorker();
    // }
    if (label === 'typescript' || label === 'javascript') {
      return new tsWorker();
    }
    return new editorWorker(); // 基础功能文件， 提供了所有语言通用功能 无论使用什么语言，monaco都会去加载他。
  }
};
```

# 测试流程

- src/main.js 注册组件库，默认已经增加了引用
- lib/index.js 执行注册。
- 在 pages 中增加页面，在页面中 加入你的组件引用
- router 中注册 上面的页面
- /src/layout/menu.vue 增加菜单，其中 key 加入 path 路径。

# 依赖组件

- coder-member-components-vue3 ，需要另外配置


# 组件说明

## 处理工作活动说明
```
<coder-swf-activity-dispose />

```
### Props

| 属性 | 说明 |  备注 | 
|----|-----|---|
|  id  | workActivityId 工作活动的id    |  如果是创建，需要采用 v-model:id进行同步 |   

### 事件

| 属性 | 说明 |  备注 | 
|----|-----|---|  
|  resolve  | 处理完成之后发生    |  无 |   
|  loaded  | 加载workActivity工作活动之后发生    |  无 |   
