import * as signalR from "@aspnet/signalr";
import { ILogger } from "@aspnet/signalr";
import { SwfOptions } from "../types";
import { Ref } from 'vue';
export declare class LoggerManager implements ILogger {
    log(logLevel: signalR.LogLevel, message: string): void;
}
export interface onNodeCodeCallback {
    (info: DebuggerInfo): void;
}
export declare class debuggerRealTime {
    constructor(path: string);
    processIsntanceId: number;
    logger: ILogger;
    httpClient: signalR.DefaultHttpClient | null;
    connection: signalR.HubConnection | null;
    status: Ref<signalR.HubConnectionState>;
    connect: () => void;
    switchTo(processIsntanceId: number): void;
    onNodeCode(callback: onNodeCodeCallback): void;
}
export declare const useRealTimeDebugger: (option?: SwfOptions | undefined) => debuggerRealTime;
export interface DebuggerInfo {
    nodeName: string;
    message: string;
    eventName: string;
    code: string;
    codeline: number;
    plugin: string;
    form: string;
}
