import { InjectionKey, Ref } from 'vue';
import { INodeSubmit, IScriptDecisionSubmit, IWorkProcessSubmit, IWorkTaskSubmit } from "../types/entities";
import { MermaidNode } from "../types/mermaidNode";
import { JsPlugin } from '../services/defineApi';
import { SwfOptions } from '../types/SwfOption';
import { DesignError } from '../types/designError';
export declare const DesignModelKey: InjectionKey<Ref<DesignerModel>>;
export declare class DesignerModel {
    constructor(submit: IWorkProcessSubmit, option: SwfOptions);
    CurrentNode: INodeSubmit | undefined | null;
    MermaidNodes: Array<MermaidNode>;
    WorkProcess: IWorkProcessSubmit;
    Plugins: Array<JsPlugin>;
    Option: SwfOptions;
    HasRunningOrder: boolean;
    Errors: Array<DesignError>;
    createTask: () => IWorkTaskSubmit;
    createScriptDecision: () => IScriptDecisionSubmit;
    deleteNode: (text: string) => void;
    rebuild: () => void;
    changeNodeName: (newValue: string | undefined, oldValue: string) => void;
    /** 添加验证错误 */
    addError: (error: DesignError) => void;
    removeError: (id: string) => void;
}
export declare const ResetWorkProcessFormTypeDefined: (result: DesignerModel) => void;
export declare const ResetPlugins: (result: DesignerModel) => void;
export declare const useDesigner: (workProcess?: IWorkProcessSubmit | undefined, option?: SwfOptions | undefined) => DesignerModel;
