import { AxiosInstance, AxiosResponse } from "axios";
import { CreateProcessInstanceResult, ProcessInstanceListItemViewModel, ProcessInstanceSearcher, ResolveResult, ResolveSubmit, ResponseMessage, WorkActivityByProcessInstanceSearch, WorkProcessWithNodesViewModel } from "../types";
import { AbandonResult, AcceptResult, CreateProcessInstanceSubmit, FlowViewModel, NextUsersResult, ProcessInstanceOperatorResult, ProcessInstanceViewModel, SuspendCommentSubmit, WorkActivitySearcher, WorkActivityViewModel, WorkflowResolveSubmit } from "../types";
export declare class WorkflowApi {
    request: AxiosInstance;
    url: string;
    constructor(request: AxiosInstance, strPath: string);
    getWorkActivityById(id: number): Promise<AxiosResponse<WorkActivityViewModel>>;
    resloveWorkActivity(id: number, submit: ResolveSubmit): Promise<AxiosResponse<ResolveResult>>;
    getProcessInstanceById(id: number): Promise<AxiosResponse<ProcessInstanceViewModel>>;
    getProcessInstanceByNumber(name: string): Promise<AxiosResponse<ProcessInstanceViewModel>>;
    /**
     * 列出工作活动
     * @param searcher
     * @returns
     */
    listWorkActivity(searcher: WorkActivitySearcher): Promise<AxiosResponse<Array<WorkActivityViewModel>>>;
    listWorkActivityByProcessInstanceId(processInstanceId: Number, searcher: WorkActivityByProcessInstanceSearch): Promise<AxiosResponse<any, any>>;
    countWorkActivityByProcessInstanceId(processInstanceId: Number, searcher: WorkActivityByProcessInstanceSearch): Promise<AxiosResponse<any, any>>;
    /**
     *
     * @param searcher 与listWorkActivity配套使用
     * @returns
     */
    countWorkActivity(searcher: WorkActivitySearcher): Promise<AxiosResponse<number>>;
    create(createModel: CreateProcessInstanceSubmit): Promise<AxiosResponse<CreateProcessInstanceResult>>;
    resolve(id: number, submit: WorkflowResolveSubmit): Promise<AxiosResponse<ResolveResult>>;
    suspend(id: number, submit: SuspendCommentSubmit): Promise<AxiosResponse<ProcessInstanceOperatorResult>>;
    resume(id: number, submit: SuspendCommentSubmit): Promise<AxiosResponse<ProcessInstanceOperatorResult>>;
    cancel(id: number): Promise<AxiosResponse<ProcessInstanceOperatorResult>>;
    listFlow(processInstanceId: number, showAllHisotry: boolean): Promise<AxiosResponse<Array<FlowViewModel>>>;
    acceptWorkActivity(activityId: Number): Promise<AxiosResponse<AcceptResult>>;
    giveUpWorkActivity(activityId: Number): Promise<AxiosResponse<AbandonResult>>;
    /**
     *
     * @param processInstanceId
     * @param form
     * @returns
     */
    saveForm(processInstanceId: number, form: object): Promise<AxiosResponse<ResponseMessage>>;
    /**
     * 保存form数据。
     * @param workActivityId
     * @param form string
     * @returns
     */
    saveWorkActivityForm(workActivityId: number, form: object): Promise<AxiosResponse<ResponseMessage>>;
    startProcessInstance(processInstanceId: number): Promise<AxiosResponse<ResponseMessage>>;
    setProcessInstanceSubject(processInstanceId: number, subject: string): Promise<AxiosResponse<ResponseMessage>>;
    getCommands(workActivityId: number): Promise<AxiosResponse<Array<string>>>;
    getNextWorkActivity(workActivityId: number): Promise<AxiosResponse<NextUsersResult>>;
    listProcessInstance(searcher: ProcessInstanceSearcher): Promise<AxiosResponse<Array<ProcessInstanceListItemViewModel>>>;
    countProcessInstance(searcher: ProcessInstanceSearcher): Promise<AxiosResponse<number>>;
    getWorkProcessByProcessInstanceId(processInstanceId: Number): Promise<AxiosResponse<WorkProcessWithNodesViewModel>>;
}
