import { AxiosInstance, AxiosResponse } from "axios";
import { WorkProcessListItem } from "../types/workProcessListItem";
import { ResponseMessage } from "../types/";
import { IWorkProcessSubmit, UpdateResult } from "../types/entities";
export declare type JsPlugin = {
    define: string;
    name: string;
};
declare class defineApi {
    request: AxiosInstance;
    url: string;
    urlPlugin: string;
    workProcessUrl: string;
    constructor(request: AxiosInstance, strPath: string);
    listAllName(): Promise<string[]>;
    listByName(strWpName: string): Promise<AxiosResponse<any, any>>;
    getByName(strWpName: string): Promise<AxiosResponse<WorkProcessListItem>>;
    getById(intId: number): Promise<AxiosResponse<IWorkProcessSubmit>>;
    save(submit: any): Promise<AxiosResponse<UpdateResult>>;
    checkVersion(intId: number, intVersion: number): Promise<AxiosResponse<ResponseMessage>>;
    checkWorkTaskName(workProcessName: string, strName: string): Promise<AxiosResponse<any, any>>;
    checkWorkProcessName(workProcessName: string, intVersion: number, notIncludeId: number): Promise<AxiosResponse<{
        exist: boolean;
    }>>;
    delWorkProcess(id: number): Promise<AxiosResponse<ResponseMessage>>;
    getListForPage(params: any): Promise<AxiosResponse<WorkProcessListItem[]>>;
    getCountForPage(params: any): Promise<AxiosResponse<any, any>>;
    listAllPlugins(): Promise<AxiosResponse<Array<string>>>;
    listPlugins(name: Array<string>): Promise<AxiosResponse<Array<JsPlugin>>>;
}
export default defineApi;
