import { AxiosInstance, AxiosResponse } from "axios";
import { PerformerType } from "../types/entities/enum";
import { IPerformerSubmit } from "../types/entities";
export declare type PerformerSearcher = {
    page: number;
    pageSize: number;
    name: string;
    type: PerformerType;
};
export declare class PerformerClient {
    url: string;
    request: AxiosInstance;
    constructor(request: AxiosInstance, strPath: string);
    getList(performerType: PerformerType, performerKey: string): Promise<AxiosResponse<any, any>>;
    search(performerSearcher: PerformerSearcher): Promise<AxiosResponse<Array<IPerformerSubmit>>>;
    count(performerSearcher: PerformerSearcher): Promise<AxiosResponse<number>>;
}
