import { AxiosInstance, AxiosResponse } from "axios";
import { ResponseMessage, WorkProcessPermissionSubmit } from "../types";
import { WorkProcessListItem, WorkProcessPermissionSearch } from "../types/workProcessListItem";
declare class WorkProcessApi {
    request: AxiosInstance;
    url: string;
    permissionUrl: string;
    constructor(request: AxiosInstance, strPath: string);
    listWorkProcess(searcher: WorkProcessPermissionSearch): Promise<AxiosResponse<Array<WorkProcessListItem>>>;
    coutWorkProcess(searcher: WorkProcessPermissionSearch): Promise<AxiosResponse<number>>;
    savePermission(subnmit: WorkProcessPermissionSubmit): Promise<AxiosResponse<ResponseMessage>>;
    getPermissionByProcessName(processName: string): Promise<AxiosResponse<WorkProcessPermissionSubmit>>;
    /**
     * 是否存在实列
     * @param id workProcessId
     * @returns
     */
    hasProcessInstance(id: number): Promise<AxiosResponse<boolean>>;
    delPermissionWorkProcess(id: number): Promise<AxiosResponse<ResponseMessage>>;
}
export default WorkProcessApi;
