import { WorkflowConfiguration } from './workflowConfiguration';
import { INodeSubmit } from './INodeSubmits';
export declare type IWorkProcessSubmit = {
    /** 工单号前序
       */
    prefix?: string | undefined;
    enable: boolean;
    formDesign?: string | undefined;
    formManageDesign: string | undefined;
    name: string;
    id: number;
    version: number;
    overWrite: boolean;
    onCompleteScript?: string | undefined;
    onCancelScript?: string | undefined;
    /** 启动脚本
       */
    onStartScript?: string | undefined;
    /** 工作流定义配置，用于script环境下
       */
    configurations?: WorkflowConfiguration[] | undefined;
    /** 其他节点的保存。主要是json提交避免死循环，以后那次Descision的ElsOther放在这个地方。
 初始化WorkflowSubmitContext会使用本属性
       */
    nodes: INodeSubmit[];
    /** form 的 typescript.d.ts 用于设置环境中，不是必须的
 定义环节下
       */
    formTypeScriptDefined?: string | undefined;
    plugins: Array<string> | undefined;
    updateTimeOffset: string;
    logLevel: number;
    /**全局脚本 */
    globalScript: string;
};
