import { IMermaidNode } from "coder-vue3-mermaid/dist/types";
export declare enum EdgeType {
    default = 0,
    round = 1,
    stadium = 2,
    subroutine = 3,
    cylindrical = 4,
    circle = 5,
    asymetric = 6,
    rhombus = 7,
    hexagon = 8,
    parallelogram = 9,
    parallelogram_alt = 10,
    trapezoid = 11,
    trapezoid_alt = 12
}
export declare class MermaidNode implements IMermaidNode {
    constructor(type: EdgeType, color: string, highColor: string);
    color: string;
    highLightColor: string;
    id: string;
    text: string;
    link: string | Array<string> | undefined;
    next: Array<string>;
    editable: boolean;
    group: string | undefined;
    style: string;
    url: string | undefined;
    /**连线样式 */
    linkStyle: string | undefined;
    /**连线对应的next 索引位置 ， */
    linkNumber: number | undefined;
    edgeType: EdgeType;
    highLight: (selectNode: MermaidNode, color?: string | undefined) => void;
    disHightLight: (selectNode: MermaidNode) => void;
}
