import { AssignScopeType, PerformerType, ProcessInstanceStatus, ResponseMessage, UpdateResult, WorkActivityStatus } from "./entities";
import { PermissionSearcher } from "./page";
import { AssignUser } from "./workActivities";
export interface ProcessInstanceSearcher extends PermissionSearcher {
    name: string[];
    number: string;
    creator: string;
    status: ProcessInstanceStatus[];
    tags: string[];
}
export interface CreateProcessInstanceResult extends UpdateResult {
    processInstanceStatus: ProcessInstanceStatus;
    startResult: StartResult;
    createUser: string;
}
export interface SimpleWorkActivity {
    disposeUser: string;
    workActivityId: number;
    assignPerformers: string[];
    assignScope: PerformerType;
    status: WorkActivityStatus;
    workTaskName: string;
}
export interface StartResult extends ResponseMessage {
    workActivities: SimpleWorkActivity[];
}
export interface ShowNextWorkTaskResult extends ResponseMessage {
    workTaskName: string;
    assignUsers: AssignUser[];
    assignScopeType: AssignScopeType;
    isEnd: boolean;
    WorkTaskIsEnd: boolean;
}
