import { LogLevel } from '../entities';
export * from './ProcessInstanceListItemViewModel';
export * from './ProcessInstanceViewModel';
export interface WorkflowLogSearcher {
    processInstanceId: number;
    pageSize: number;
    page: number;
    name: string;
}
export declare enum WorkflowLogType {
    Script = 0,
    Defined = 1,
    System = 2,
    Plugin = 3,
    Interception = 4
}
export interface WorkflowLog {
    logLevel: LogLevel;
    id: number;
    processInstanceId: number;
    version: number;
    workProcessName: string;
    nodeName: string;
    workActivityId: number | null;
    type: WorkflowLogType;
    content: string;
    pluginName: string;
    createTime: string;
}
