import { IFileAttachSubmit, NextTaskPerformers, ProcessInstanceStatus, ResponseMessage, WorkActivityStatus } from "../entities";
import { PermissionSearcher } from "../page";
import { WorkActivityListItemViewModel } from "./workActivityListItem";
export interface WorkActivityViewModel extends WorkActivityListItemViewModel {
    nextTaskPerformers: NextTaskPerformers;
    form: string;
    commands: WorkTaskCommandViewModel[];
    formDesign: string;
    workProcessId: number;
    taskCreatingGroup: string;
}
export interface WorkActivitySearcher extends PermissionSearcher {
    roles: string[];
    orgs: string[];
    statuses: WorkActivityStatus[];
    workProcessName: string;
    workProcessId: number | undefined;
    workTask: string;
    number: string;
    onlyMySelf: boolean;
}
export interface WorkActivityByProcessInstanceSearch extends PermissionSearcher {
    statuses: WorkActivityStatus[];
    workTask: string;
}
export interface CreateProcessInstanceSubmit {
    subject: string | undefined;
    form: string | undefined;
    workProcessName: string | undefined;
    workProcessId: number | undefined;
    start: boolean;
    createUser: string;
    files: IFileAttachSubmit[];
}
export interface WorkflowResolveSubmit {
    comment: string;
    command: string;
    form: string;
    performers: string[];
    nextWorkTaskName: string;
    resolveUser: string;
}
export interface SuspendCommentSubmit {
    comment: string;
}
export interface ProcessInstanceOperatorResult {
    success: boolean;
    message: string;
    status: ProcessInstanceStatus;
}
export interface FlowViewModel {
    id: number;
    taskName: string;
    disposeUserName: string;
    assignTime: string | null;
    depositTime: string | null;
    createTime: string;
    workActivityDescription: string;
    command: string;
    comment: string;
    status: number;
}
export interface AcceptResult extends ResponseMessage {
    disposeUser: string;
    assignTime: string | null;
    status: WorkActivityStatus;
}
export interface AbandonResult {
    success: boolean;
    message: string;
    status: WorkActivityStatus;
}
export interface ProcessInstanceForm {
    form: string;
}
export interface NextUsersResult {
    showDialog: boolean;
    workTaskName: string;
    users: AssignUser[];
    success: boolean;
    message: string;
}
export interface AssignUser {
    userName: string;
    name: string;
    default: boolean;
}
export interface WorkTaskCommandViewModel {
    name: string;
    $type: string;
}
